Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 215273 - packaging bugs
Summary: packaging bugs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-11-13 06:16 UTC by Ralf Corsepius
Modified: 2014-06-18 09:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 16:14:44 UTC


Attachments (Terms of Use)

Description Ralf Corsepius 2006-11-13 06:16:50 UTC
Description of problem:

The metacity rpm suffers from some basic packaging mistakes:

* The rpm contains both runtime and devel files
=> A "*-devel.rpm" should be split out.

* The rpm contains static libs
You should feel strongly encouraged not to ship them.

* Missing deps:
- Package contains *.pc's 
 => Missing "Requires: pkgconfig"
- The *.pc contains "Requires: gtk+-2.0"
 => Missing "Requires: gtk-2.0-devel"

Version-Release number of selected component (if applicable):
metacity-2.16.0-5.fc6

Comment 1 Søren Sandmann Pedersen 2007-03-23 17:34:37 UTC
The "devel" part of this is bug 203547. 

The others should be resolved for f7.

Comment 2 Matthias Clasen 2007-04-03 16:14:44 UTC
Fixed in 2.18.0-2.fc7


Note You need to log in before you can comment on or make changes to this bug.